Skip to main content
GET
/
v2
/
templates
List templates (v2)
curl --request GET \
  --url https://api.e2b.app/v2/templates \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.e2b.app/v2/templates"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.e2b.app/v2/templates', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "templateID": "<string>",
    "buildID": "<string>",
    "cpuCount": 2,
    "memoryMB": 129,
    "diskSizeMB": 1,
    "public": true,
    "aliases": [
      "<string>"
    ],
    "names": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdBy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": null
    },
    "lastSpawnedAt": "2023-11-07T05:31:56Z",
    "spawnCount": 123,
    "buildCount": 123,
    "envdVersion": "<string>"
  }
]
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

teamID
string

Identifier of the team

nextToken
string

Cursor to start the list from

limit
integer<int32>
default:100

Maximum number of items to return per page

Required range: 1 <= x <= 100

Response

Successfully returned all templates

templateID
string
required

Identifier of the template

buildID
string
required

Identifier of the last successful build for given template

cpuCount
integer<int32>
required

CPU cores for the sandbox

Required range: x >= 1
memoryMB
integer<int32>
required

Memory for the sandbox in MiB

Required range: x >= 128
diskSizeMB
integer<int32>
required

Disk size for the sandbox in MiB

Required range: x >= 0
public
boolean
required

Whether the template is public or only accessible by the team

aliases
string[]
required
deprecated

Aliases of the template

names
string[]
required

Names of the template (namespace/alias format when namespaced)

createdAt
string<date-time>
required

Time when the template was created

updatedAt
string<date-time>
required

Time when the template was last updated

createdBy
object | null
required
lastSpawnedAt
string<date-time> | null
required

Time when the template was last used

spawnCount
integer<int64>
required

Number of times the template was used

buildCount
integer<int32>
required

Number of times the template was built

envdVersion
string
required

Version of the envd running in the sandbox

buildStatus
enum<string>
required

Status of the template build

Available options:
building,
waiting,
ready,
error,
uploaded